table.dataTable{
    width:100%;
    margin:0 auto;
    clear:both;
    border-collapse:separate;
    border-spacing:0
}

table.dataTable.nowrap th,table.dataTable.nowrap td{
    white-space:nowrap
}
table.dataTable.compact thead th,table.dataTable.compact thead td{
    padding:4px 17px 4px 4px
}
table.dataTable.compact tfoot th,table.dataTable.compact tfoot td{
    padding:4px
}
table.dataTable.compact tbody th,table.dataTable.compact tbody td{
    padding:4px
}
table.dataTable th.dt-left,table.dataTable td.dt-left{
    text-align:left
}
table.dataTable th.dt-center,table.dataTable td.dt-center,table.dataTable td.dataTables_empty{
    text-align:center
}
table.dataTable th.dt-right,table.dataTable td.dt-right{
    text-align:right
}
table.dataTable th.dt-justify,table.dataTable td.dt-justify{
    text-align:justify
}
table.dataTable th.dt-nowrap,table.dataTable td.dt-nowrap{
    white-space:nowrap
}
table.dataTable thead th.dt-head-left,table.dataTable thead td.dt-head-left,table.dataTable tfoot th.dt-head-left,table.dataTable tfoot td.dt-head-left{
    text-align:left
}
table.dataTable thead th.dt-head-center,table.dataTable thead td.dt-head-center,table.dataTable tfoot th.dt-head-center,table.dataTable tfoot td.dt-head-center{
    text-align:center
}
table.dataTable thead th.dt-head-right,table.dataTable thead td.dt-head-right,table.dataTable tfoot th.dt-head-right,table.dataTable tfoot td.dt-head-right{
    text-align:right
}
table.dataTable thead th.dt-head-justify,table.dataTable thead td.dt-head-justify,table.dataTable tfoot th.dt-head-justify,table.dataTable tfoot td.dt-head-justify{
    text-align:justify
}
table.dataTable thead th.dt-head-nowrap,table.dataTable thead td.dt-head-nowrap,table.dataTable tfoot th.dt-head-nowrap,table.dataTable tfoot td.dt-head-nowrap{
    white-space:nowrap
}

.dataTables_wrapper{
    position:relative;
    clear:both;
    *zoom:1;
    zoom:1
}
.dataTables_wrapper .dataTables_length{
	float:left;
	padding:8px;
    
}
.dataTables_wrapper .dataTables_filter{
    float:right;
    text-align:right;
	
}
.dataTables_wrapper .dataTables_filter  input{
    margin-left:0.5em
}
.dataTables_wrapper .dataTables_info{
    clear:both;
    float:left;
    padding-top:0.755em
}
.dataTables_wrapper .dataTables_paginate{
    float:right;
    text-align:right;
    padding-top:0.25em
}
.dataTables_wrapper .dataTables_paginate .paginate_button{
    box-sizing:border-box;
    display:inline-block;
    min-width:1.5em;
    /*padding:0.5em 1em;*/
    margin-left:0px;
    text-align:center;
    text-decoration:none !important;
    cursor:pointer;
    *cursor:hand;
    color:#333 !important;
    border:1px solid transparent;
    border-radius:2px
}
.dataTables_wrapper .dataTables_paginate .paginate_button.current,.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover{
    color:#333 !important;
    border:1px solid #979797;
    background-color:white;
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0%, #fff), color-stop(100%, #dcdcdc));
    background:-webkit-linear-gradient(top, #fff 0%, #dcdcdc 100%);
    background:-moz-linear-gradient(top, #fff 0%, #dcdcdc 100%);
    background:-ms-linear-gradient(top, #fff 0%, #dcdcdc 100%);
    background:-o-linear-gradient(top, #fff 0%, #dcdcdc 100%);
    background:linear-gradient(to bottom, #fff 0%, #dcdcdc 100%)
}
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled,.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover,.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active{
    cursor:default;
    color:#666 !important;
    border:1px solid transparent;
    background:transparent;
    box-shadow:none
}

 
 /*.dataTables_wrapper .dataTables_paginate .paginate_button:hover{
    color:white !important;
    border:1px solid #111;
    background-color:#585858;
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0%, #585858), color-stop(100%, #111));
    background:-webkit-linear-gradient(top, #585858 0%, #111 100%);
    background:-moz-linear-gradient(top, #585858 0%, #111 100%);
    background:-ms-linear-gradient(top, #585858 0%, #111 100%);
    background:-o-linear-gradient(top, #585858 0%, #111 100%);
    background:linear-gradient(to bottom, #585858 0%, #111 100%)
}*/


.dataTables_wrapper .dataTables_scroll{
    clear:both
}


.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>thead>tr>th>div.dataTables_sizing,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>thead>tr>td>div.dataTables_sizing,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>tbody>tr>th>div.dataTables_sizing,.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>tbody>tr>td>div.dataTables_sizing{
    height:0;
    overflow:hidden;
    margin:0 !important;
    padding:0 !important
}
.dataTables_wrapper.no-footer .dataTables_scrollBody{
    border-bottom:1px solid #111
}

@media screen and (max-width: 767px){
    .dataTables_wrapper .dataTables_info,.dataTables_wrapper .dataTables_paginate{
        float:none;
        text-align:center
    }
    .dataTables_wrapper .dataTables_paginate{
        margin-top:0.5em
    }
}
@media screen and (max-width: 640px){
    .dataTables_wrapper .dataTables_length,.dataTables_wrapper .dataTables_filter{
        float:none;
        text-align:center
    }
    .dataTables_wrapper .dataTables_filter{
        margin-top:0.5em
    }
}




table.dataTable{
    clear:both;
    margin-top:6px !important;
    margin-bottom:6px !important;
    max-width:none !important;
    border-collapse:separate !important;
    border-spacing:0
	
}
table.dataTable td,table.dataTable th{
    -webkit-box-sizing:content-box;
    box-sizing:content-box
}
table.dataTable td.dataTables_empty,table.dataTable th.dataTables_empty{
    text-align:center
}
table.dataTable.nowrap th,table.dataTable.nowrap td{
    white-space:nowrap
}
div.dataTables_wrapper div.dataTables_length label{
    font-weight:normal;
    text-align:left;
    white-space:nowrap
}
div.dataTables_wrapper div.dataTables_length select{
    width:auto;
    display:inline-block
}
div.dataTables_wrapper div.dataTables_filter{
    text-align:right
}
div.dataTables_wrapper div.dataTables_filter label{
    font-weight:normal;
    white-space:nowrap;
    text-align:left
}
div.dataTables_wrapper div.dataTables_filter input{
    margin-left:0.5em;
    display:inline-block;
    width:auto
}
div.dataTables_wrapper div.dataTables_info{
    padding-top:0.85em;
    white-space:nowrap
}
div.dataTables_wrapper div.dataTables_paginate{
    margin:0;
    white-space:nowrap;
    text-align:right
}
div.dataTables_wrapper div.dataTables_paginate ul.pagination{
    margin:2px 0;
    white-space:nowrap;
    justify-content:flex-end
}
div.dataTables_wrapper div.dataTables_processing{
    position:absolute;
    top:50%;
    left:50%;
    width:200px;
    margin-left:-100px;
    margin-top:-26px;
    text-align:center;
    padding:1em 0
}
table.dataTable thead>tr>th.sorting_asc,table.dataTable thead>tr>th.sorting_desc,table.dataTable thead>tr>th.sorting,table.dataTable thead>tr>td.sorting_asc,table.dataTable thead>tr>td.sorting_desc,table.dataTable thead>tr>td.sorting{
    padding-right:30px
}
table.dataTable thead>tr>th:active,table.dataTable thead>tr>td:active{
    outline:none
}
table.dataTable thead .sorting,table.dataTable thead .sorting_asc,table.dataTable thead .sorting_desc,table.dataTable thead .sorting_asc_disabled,table.dataTable thead .sorting_desc_disabled{
    cursor:pointer;
    position:relative
}
table.dataTable thead .sorting:before,table.dataTable thead .sorting:after,table.dataTable thead .sorting_asc:before,table.dataTable thead .sorting_asc:after,table.dataTable thead .sorting_desc:before,table.dataTable thead .sorting_desc:after,table.dataTable thead .sorting_asc_disabled:before,table.dataTable thead .sorting_asc_disabled:after,table.dataTable thead .sorting_desc_disabled:before,table.dataTable thead .sorting_desc_disabled:after{
    position:absolute;
    bottom:0.9em;
    display:block;
    opacity:0.3
}
table.dataTable thead .sorting:before,table.dataTable thead .sorting_asc:before,table.dataTable thead .sorting_desc:before,table.dataTable thead .sorting_asc_disabled:before,table.dataTable thead .sorting_desc_disabled:before{
    right:1em;
    content:"\2191"
}
table.dataTable thead .sorting:after,table.dataTable thead .sorting_asc:after,table.dataTable thead .sorting_desc:after,table.dataTable thead .sorting_asc_disabled:after,table.dataTable thead .sorting_desc_disabled:after{
    right:0.5em;
    content:"\2193"
}
table.dataTable thead .sorting_asc:before,table.dataTable thead .sorting_desc:after{
    opacity:1
}
table.dataTable thead .sorting_asc_disabled:before,table.dataTable thead .sorting_desc_disabled:after{
    opacity:0
}
div.dataTables_scrollHead table.dataTable{
    margin-bottom:0 !important
}
div.dataTables_scrollBody table{
    border-top:none;
    margin-top:0 !important;
    margin-bottom:0 !important
}
div.dataTables_scrollBody table thead .sorting:before,div.dataTables_scrollBody table thead .sorting_asc:before,div.dataTables_scrollBody table thead .sorting_desc:before,div.dataTables_scrollBody table thead .sorting:after,div.dataTables_scrollBody table thead .sorting_asc:after,div.dataTables_scrollBody table thead .sorting_desc:after{
    display:none
}
div.dataTables_scrollBody table tbody tr:first-child th,div.dataTables_scrollBody table tbody tr:first-child td{
    border-top:none
}
div.dataTables_scrollFoot>.dataTables_scrollFootInner{
    box-sizing:content-box
}
div.dataTables_scrollFoot>.dataTables_scrollFootInner>table{
    margin-top:0 !important;
    border-top:none
}
@media screen and (max-width: 767px){
    div.dataTables_wrapper div.dataTables_length,div.dataTables_wrapper div.dataTables_filter,div.dataTables_wrapper div.dataTables_info,div.dataTables_wrapper div.dataTables_paginate{
        text-align:left
    }
}
table.dataTable.table-sm>thead>tr>th{
    padding-right:20px
}
table.dataTable.table-sm .sorting:before,table.dataTable.table-sm .sorting_asc:before,table.dataTable.table-sm .sorting_desc:before{
    top:5px;
    right:0.85em
}
table.dataTable.table-sm .sorting:after,table.dataTable.table-sm .sorting_asc:after,table.dataTable.table-sm .sorting_desc:after{
    top:5px
}
table.table-bordered.dataTable th,table.table-bordered.dataTable td{
    border-left-width:0
}
table.table-bordered.dataTable th:last-child,table.table-bordered.dataTable th:last-child,table.table-bordered.dataTable td:last-child,table.table-bordered.dataTable td:last-child{
    border-right-width:0
}
table.table-bordered.dataTable tbody th,table.table-bordered.dataTable tbody td{
    border-bottom-width:0
}
div.dataTables_scrollHead table.table-bordered{
    border-bottom-width:0
}
div.table-responsive>div.dataTables_wrapper>div.row{
    margin:0
}
div.table-responsive>div.dataTables_wrapper>div.row>div[class^="col-"]:first-child{
    padding-left:0
}
div.table-responsive>div.dataTables_wrapper>div.row>div[class^="col-"]:last-child{
    padding-right:0
}
 

 
 